/*
 * LibDbpf - Library to access SimCity/Sims Database Pacakge Files
 * Copyright (C) 2014 Wouter Haffmans <wouter@simply-life.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DBPF_IMAGEFILECHUNKDECODER_H
#define DBPF_IMAGEFILECHUNKDECODER_H

#include <Dbpf/ChunkDecoders/ImageChunkDecoder>

namespace Dbpf {

class ImageFileChunkDecoderPrivate;

class IMAGECHUNKDECODER_EXPORT ImageFileChunkDecoder : public Dbpf::ImageChunkDecoder
{
    Q_OBJECT
    Q_PROPERTY(QByteArray format READ format CONSTANT)

public:
    ImageFileChunkDecoder(const Dbpf::Chunk& chunk, Dbpf::Container* container, const QByteArray& format);
    virtual ~ImageFileChunkDecoder();
    virtual bool readOnly() const { return false; }
    virtual void reload();

    virtual void commit();

    QByteArray format() const;

    virtual QJsonValue toJson() const;

private:
    Q_DECLARE_PRIVATE(ImageFileChunkDecoder);
    ImageFileChunkDecoderPrivate* d_ptr;

};
}

#endif // DBPF_IMAGEFILECHUNKDECODER_H
