/*
 * LibDbpf - Library to access SimCity/Sims Database Pacakge Files
 * Copyright (C) 2014 Wouter Haffmans <wouter@simply-life.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DBPF_DBPFENUMS_H
#define DBPF_DBPFENUMS_H

#include <QtCore/QObject>

namespace Dbpf
{

class DbpfEnums: public QObject
{
    Q_OBJECT

    Q_ENUMS(CircularDependencyBehavior);

    DbpfEnums() = delete;
    DbpfEnums(const DbpfEnums&) = delete;
    DbpfEnums& operator=(const DbpfEnums& other) = delete;

public:
    /**
     * Behavior for circular dependencies.
     */
    enum CircularDependencyBehavior {
        CircularsStayUnresolved = 0,
        CircularsAreResolved    = 1,
    };
};
}

#endif // DBPF_DBPFENUMS_H
