/*
 * LibDbpf - Library to access SimCity/Sims Database Pacakge Files
 * Copyright (C) 2014 Wouter Haffmans <wouter@simply-life.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DBPF_HOLE_H
#define DBPF_HOLE_H

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QSharedDataPointer>

#include "libdbpf_config.h"

namespace Dbpf {

/**
 * A hole is an data-less chunk that only has a specific offset and size.
 */
struct Hole
{
    Hole()
      : offset(0)
      , size(0)
    {
    }

    /** Create a new hole at the given offset and size. */
    Hole(quint32 offset, quint32 size)
      : offset(offset)
      , size(size)
    {
    }

    quint32 offset;
    quint32 size;
};

}

#endif // DBPF_HOLE_H
