/*
 * dbpfm - A DBPF File Manager
 * Copyright (C) 2017-2018 W. Haffmans <wouter@simply-life.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DBPFM_HEXVIEW_H
#define DBPFM_HEXVIEW_H

#include <Dbpf/Chunk>
#include <Dbpf/ChunkDecoder>
#include <Dbpfm/ChunkView>
#include <Dbpfm/DbpfmConfig>

#include <QVector>
#include <QStaticText>

namespace Dbpfm {
namespace HexView {

class HexView : public Dbpfm::ChunkView
{
    Q_OBJECT

public:
    explicit HexView(QQuickItem* parent = 0);
    ~HexView();

    QString title() const override {
        return tr("Hex");
    }

public Q_SLOTS:
    void load(const Dbpf::Chunk& chunk, Dbpf::Container* container) override;
};
}
}

#endif // DBPFM_HEXVIEW_H
