/*
 * LibDbpf - Library to access SimCity/Sims Database Pacakge Files
 * Copyright (C) 2015 Wouter Haffmans <wouter@simply-life.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DBPFM_IMAGECHUNKVIEW_H
#define DBPFM_IMAGECHUNKVIEW_H

#include <Dbpfm/ChunkView>

#include <QtGui/QImage>

#include <Dbpf/Chunk>
#include <Dbpf/ChunkDecoder>

#include "dbpfmimageviews_config.h"

namespace Dbpfm
{

class IMAGEVIEWS_EXPORT ImageChunkView
  : public Dbpfm::ChunkView
{
    Q_OBJECT

    Q_PROPERTY(QImage image READ image NOTIFY imageChanged);

public:
    explicit ImageChunkView(QQuickItem* parent = 0);
    virtual ~ImageChunkView() {};

    virtual QString title() const {
        return tr("Image");
    }

    virtual void load(const Dbpf::Chunk& chunk, Dbpf::Container* container);

    QImage image() const;

public Q_SLOTS:
    virtual void setChunkDecoder(Dbpf::ChunkDecoder* chunkDecoder);

Q_SIGNALS:
    void imageChanged(const QImage& image);

private:
};
}

#endif // DBPFM_IMAGECHUNKVIEW_H
