/*
 * LibDbpf - Library to access SimCity/Sims Database Pacakge Files
 * Copyright (C) 2014 Wouter Haffmans <wouter@simply-life.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DBPFM_STRCHUNKVIEW_H
#define DBPFM_STRCHUNKVIEW_H

#include <Dbpf/Chunk>
#include <Dbpf/ChunkDecoder>

#include <Dbpfm/ChunkView>
#include <Dbpfm/DbpfmConfig>

namespace Dbpfm {

class StrChunkView: public Dbpfm::ChunkView
{
    Q_OBJECT

public:
    explicit StrChunkView(QQuickItem* parent = 0);
    virtual ~StrChunkView();

    virtual QString title() const {
        return tr("Strings");
    }

public Q_SLOTS:
    virtual void load(const Dbpf::Chunk& chunk, Dbpf::Container* container);

private:
    QQmlComponent* m_component;
};
}

#endif // DBPFM_STRCHUNKVIEW_H
